Ask Your Question
3

Problem during the installation of google earth

asked 2013-01-21 14:33:20 -0500

Simone Pietro Rossi gravatar image

updated 2014-09-28 18:40:02 -0500

mether gravatar image

I installed on my pc Fedora 18 KDE Spin (Arch. i386) without any problem.

Now I want to install on my computer Google Earth, so I downloaded the .rpm package from the Google sites. But if I try to install it, using rpm, this error message appeears: "/ usr / bin install google-earth-stable-7.0.2.8415-0.i386 conflicts with the package file filesystem-3.1-2.fc18.i686".

What can I do to solve this problem?

Thank you, Simone Pietro Rossi.

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
3

answered 2013-02-01 18:02:08 -0500

davidva gravatar image

updated 2013-02-01 18:02:25 -0500

Hi, This is problem about building rpm and dependencies. I will be creating a rpm next week. Meanwhile, use the binary

How to install google earth from a bin?

Install dependencies.

su -c 'yum -y install wget glibc ImageMagick desktop-file-utils shared-mime-info'

wget -c http://dl.google.com/earth/client/current/GoogleEarthLinux.bin

sh GoogleEarthLinux.bin

Enjoy!!

edit flag offensive delete link more

Comments

0

answered 2013-04-16 00:31:32 -0500

updated 2013-04-16 04:38:08 -0500

hhlp gravatar image

Didn't work for me! on fedora 18: 3.8.6-203.fc18.x86_64

transcript follows:

    # sh GoogleEarthLinux.bin
Verifying archive integrity... All good.
Uncompressing Google Earth for GNU/Linux 6.0.3.2197.............................................................................................
This version of Google Earth requires LSB 4.0 support which you
do not seem to have.
./setup.sh: line 285: [: missing `]'
/bin/su: user yum install redhat-lsb does not exist

(setup.gtk2:3396): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",

(setup.gtk2:3396): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
loki_setup: Suspect size value for option option

loki_setup: Suspect size value for option option

loki_setup: Suspect size value for option option

Installing mimetypes...
Installing desktop menu entries...
Installing desktop icon...
/usr/local/bin/googleearth: /opt/google-earth/googleearth-bin: /lib/ld-lsb.so.3: bad ELF interpreter: No such file or directory
/usr/local/bin/googleearth: line 18: /opt/google-earth/googleearth-bin: Success
 # googleearth 
/usr/local/bin/googleearth: /opt/google-earth/googleearth-bin: /lib/ld-lsb.so.3: bad ELF interpreter: No such file or directory
/usr/local/bin/googleearth: line 18: /opt/google-earth/googleearth-bin: Success

 # rpm -qa lsb

 # yum install lsb

Loaded plugins: langpacks, presto, refresh-packagekit
Package redhat-lsb-4.1-10.fc18.x86_64 already installed and latest version
Nothing to do
edit flag offensive delete link more

Question Tools

2 followers

Stats

Asked: 2013-01-21 14:33:20 -0500

Seen: 7,173 times

Last updated: Apr 16 '13